Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## main.tools.eingabe
Class MyLineNumberReader

    java.lang.Object
      |
      +--java.io.Reader
            |
            +--java.io.BufferedReader
                  |
                  +--java.io.LineNumberReader
                        |
                        +--main.tools.eingabe.MyLineNumberReader

public class MyLineNumberReader
extends java.io.LineNumberReader

Klasse, welche Zeilenendkommentar überliest

Version:
  $Revision: 1.4 $
Author:
  Simon Tiffert

Field Summary
`private java.lang.String` | `kommentar`

Fields inherited from class java.io.LineNumberReader
``

Fields inherited from class java.io.BufferedReader
``

Fields inherited from class java.io.Reader
`lock`

Constructor Summary
`MyLineNumberReader(java.io.Reader reader, java.lang.String kommentar)` Der Kommentar, der überlesen werden soll, wird definiert und der Standardkonstruktor der Superklasse wird aufgerufen.

Method Summary
`java.lang.String` | `readLine()` Die Funktionalität der Supermethode wird beibehalten, allerdings werden Zeilen, die mit einem oben definierten Kommentar beginnen, nicht mit ausgegeben.
`private java.lang.String` | `stripLine(java.lang.String zeile)` Diese Funktion entfernt Zeilenendkommentar

Methods inherited from class java.io.LineNumberReader
`getLineNumber, mark, read, read, reset, setLineNumber, skip`

Methods inherited from class java.io.BufferedReader
`close, markSupported, ready`

Methods inherited from class java.io.Reader
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kommentar

    private java.lang.String kommentar

Constructor Detail

### MyLineNumberReader

    public MyLineNumberReader(java.io.Reader reader,
                              java.lang.String kommentar)

  Der Kommentar, der überlesen werden soll, wird definiert und der Standardkonstruktor der Superklasse wird aufgerufen.

Parameters:
  `reader` -
  `kommentar` -

Method Detail

### readLine

    public java.lang.String readLine()
                              throws java.io.IOException

  Die Funktionalität der Supermethode wird beibehalten, allerdings werden Zeilen, die mit einem oben definierten Kommentar beginnen, nicht mit ausgegeben.

  Overrides:
    `readLine` in class `java.io.LineNumberReader`
    `java.io.IOException`
  See Also:
    `BufferedReader.readLine()`

### stripLine

    private java.lang.String stripLine(java.lang.String zeile)

  Diese Funktion entfernt Zeilenendkommentar

  Parameters:
    `zeile` - Die Zeile, die bearbeitet werden soll
  Returns:
    Die Zeile, in der kein Kommentar mehr steht

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD